Bug 1276518 - It would be nice if "flashrom" is built w/ ft2232_spi
It would be nice if "flashrom" is built w/ ft2232_spi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: flashrom (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-29 20:05 EDT by Ken
Modified: 2017-04-01 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: flashrom-0.9.9-2.fc25 flashrom-0.9.9-2.fc24 flashrom-0.9.9-3.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-19 21:49:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Makefile diff for flashrom w/ FTDI (1013 bytes, text/plain)
2015-10-29 20:05 EDT, Ken
no flags Details
0001-Update-to-flashrom-0.9.9.patch (44.42 KB, patch)
2017-02-27 01:33 EST, Alex G.
no flags Details | Diff

  None (edit)
Description Ken 2015-10-29 20:05:44 EDT
Created attachment 1087784 [details]
Makefile diff for flashrom w/ FTDI

Description of problem:

"flashrom" get built w/o "FTDI"

Version-Release number of selected component (if applicable):

flashrom-0.9.7-2.svn1850.fc22.i686

How reproducible:

Every time

Steps to Reproduce:
1. run "flashrom -p ft2232_spi -r orig.bin"

Actual results:

Error: Unknown programmer "ft2232_spi".

Expected results:

Calibrating delay loop... OK.
Unable to open FTDI device: -3 (device not found). ## assuming no FTDI device

Additional info:

It seems to have to do with the fact that "libftdi" is called "libftdi1" in Fedora.

I got flashrom-0.9.8 and modified the Makefile (see attached) and it works.
Comment 1 Fedora End Of Life 2016-07-19 14:22:13 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 Ken 2016-07-19 18:10:23 EDT
Still a problem in F24 :

Error: Unknown programmer "ft2232_spi".


There is other FTDI software that might have this problem as well : avrdude & openocd .
Comment 3 Alex G. 2017-02-27 01:33 EST
Created attachment 1257924 [details]
0001-Update-to-flashrom-0.9.9.patch
Comment 4 Alex G. 2017-02-27 01:35:08 EST
Hi Peter, I've prepared a patch to update to 0.9.99, which also resolves this bug.
Comment 5 Fedora Update System 2017-03-07 10:58:15 EST
flashrom-0.9.9-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a4449b912
Comment 6 Fedora Update System 2017-03-07 10:58:34 EST
flashrom-0.9.9-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b615bb464
Comment 7 Fedora Update System 2017-03-07 10:58:49 EST
flashrom-0.9.9-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-768f1b0e0e
Comment 8 Fedora Update System 2017-03-08 09:53:53 EST
flashrom-0.9.9-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b615bb464
Comment 9 Fedora Update System 2017-03-08 09:54:43 EST
flashrom-0.9.9-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9a4449b912
Comment 10 Fedora Update System 2017-03-08 12:56:10 EST
flashrom-0.9.9-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d82f8c61df
Comment 11 Fedora Update System 2017-03-08 12:56:32 EST
flashrom-0.9.9-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-739b22618c
Comment 12 Fedora Update System 2017-03-08 12:56:49 EST
flashrom-0.9.9-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0e0301560
Comment 13 Fedora Update System 2017-03-09 09:26:21 EST
flashrom-0.9.9-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0e0301560
Comment 14 Fedora Update System 2017-03-09 09:58:18 EST
flashrom-0.9.9-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d82f8c61df
Comment 15 Fedora Update System 2017-03-10 18:22:31 EST
flashrom-0.9.9-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-739b22618c
Comment 16 Fedora Update System 2017-03-12 08:16:39 EDT
flashrom-0.9.9-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d0fec77e2
Comment 17 Fedora Update System 2017-03-12 21:51:31 EDT
flashrom-0.9.9-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1d0fec77e2
Comment 18 Fedora Update System 2017-03-19 21:49:58 EDT
flashrom-0.9.9-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2017-03-20 01:49:40 EDT
flashrom-0.9.9-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2017-04-01 12:57:41 EDT
flashrom-0.9.9-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.